Subject: Suggest a site with chunked encoding

From: Vijayabhaskar_Mamidi <[email-masked]>
Date: Fri, 7 Mar 2003 11:39:06 +0530

I am interested to see the flow of a chunked response comes from a Origin
server can any one suggest a site which does chunked encoding

Is it possible to get a connection :close header with chunked reponse.If
such a thing happens what should/will be the behavior of the client/proxy

Note: I will just send one request .I will not be doing any stress testing

Thanks & Regards
Vijay

---

From: "Patrick R. McManus" <[email-masked]>
Date: Fri, 7 Mar 2003 06:43:51 -0500

[Vijayabhaskar_Mamidi: Mar 07 11:39]
> server can any one suggest a site which does chunked encoding

http://www.cnn.com/

> such a thing happens what should/will be the behavior of the client/proxy

sure it's possilble. If you've read the last chunk (the 0 chunk) and
then the connection closes all is good.. if the connection closes
before you've read the last chunk then the response has been truncated
and you should do something about it.. what to do it up to the
client. If you're a cache then marking it uncachable seems like a
smart thing to do with it for starters.

even if the server is going to close the connection, chunking
dynamically generated content is still smart beacuse then the client
doesn't need to rely on overloading the semantics of EOF to separate
an error from end of response body.

> Note: I will just send one request .I will not be doing any stress testing

from your messages the last couple of days it seems that you're
working on an http/1.1 implementation. I'd suggest you go buy _Web
Protocols and Practice_ by Krishnamurthy and Rexford - you'll find it
invaluable in answering all of your questions and, in addition,
teaching you about the questions you should be asking that you haven't
thought of yet.

---

From: Yves Lafon <[email-masked]>
Date: Fri, 7 Mar 2003 18:20:57 +0100 (MET)

> Note: I will just send one request .I will not be doing any stress testing

See http://jigsaw.w3.org/HTTP/ ->
http://jigsaw.w3.org/HTTP/ChunkedScript
THanks,

-- 
Yves Lafon - W3C
"Baroula que barouleras, au tiéu toujou t'entourneras."